GNUNET-UNINDEX(1)

NAME
gnunet-unindex - a command line interface for deleting indexed files from GNUnet

SYNOPSIS
gnunet-unindex [OPTIONS] FILENAME

DESCRIPTION

gnunet-unindex is used for deleting indexed files from GNUnet.

-c FILENAME, --config=FILENAME
    use config file (defaults: ~/.gnunet/gnunet.conf)

-h, --help
    print help page

-H HOSTNAME, --host=HOSTNAME
    on which host is gnunetd running (default: localhost). You can also specify a port using the syntax HOSTNAME:PORT. The default port is 2087.

-L LOGLEVEL, --loglevel=LOGLEVEL
    Change the loglevel. Possible values for LOGLEVEL are NOTHING, FATAL, ERROR, WARNING, INFO, STATUS and DEBUG. Note that options in the configuration file take precedence over this option (the argument will be ignored in that case).

-v, --version
    print the version number

-V, --verbose
    be verbose

NOTES
As most GNUnet command-line tools, gnunet-unindex supports passing arguments using environment variables. This can improve your privacy since otherwise the filename will likely be visible to other local users. Setting "GNUNET_ARGS" will cause the respective string to be appended to the actual command-line and to be processed the same way as arguments given directly at the command line. You can only unindex files that you indexed and that you still have available locally in full. You should use gnunet-unindex on files that you indexed (not inserted) and that you are going to delete or move locally.

FILES

~/.gnunet/gnunet.conf
    GNUnet configuration file

REPORTING BUGS
Report bugs by using mantis <https://gnunet.org/bugs/> or by sending electronic mail to <gnunet-developers@gnu.org>

SEE ALSO
gnunet-gtk(1), gnunet-insert(1), gnunet-gtk(1), gnunet-search(1), gnunet-download(1), gnunet.conf(5), gnunetd(1)